ChangeSet 1.1757.66.33, 2004/07/14 15:06:51-07:00, lcapitulino@prefeitura.sp.gov.br

[PATCH] USB: usb/core/hcd.c::usb_init() missing audit.

Signed-off-by: Luiz Capitulino <lcapitulino@prefeitura.sp.gov.br>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/core/hcd.c |    4 ++--
 drivers/usb/core/usb.c |    5 ++++-
 2 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/core/hcd.c b/drivers/usb/core/hcd.c
--- a/drivers/usb/core/hcd.c	2004-07-14 16:43:26 -07:00
+++ b/drivers/usb/core/hcd.c	2004-07-14 16:43:26 -07:00
@@ -626,9 +626,9 @@
 	.release	= &usb_host_release,
 };
 
-void usb_host_init(void)
+int usb_host_init(void)
 {
-	class_register(&usb_host_class);
+	return class_register(&usb_host_class);
 }
 
 void usb_host_cleanup(void)
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	2004-07-14 16:43:26 -07:00
+++ b/drivers/usb/core/usb.c	2004-07-14 16:43:26 -07:00
@@ -1300,7 +1300,9 @@
 	retval = bus_register(&usb_bus_type);
 	if (retval) 
 		goto out;
-	usb_host_init();
+	retval = usb_host_init();
+	if (retval)
+		goto host_init_failed;
 	retval = usb_major_init();
 	if (retval)
 		goto major_init_failed;
@@ -1322,6 +1324,7 @@
 	usb_major_cleanup();	
 major_init_failed:
 	usb_host_cleanup();
+host_init_failed:
 	bus_unregister(&usb_bus_type);
 out:
 	return retval;
